## gkrellm-reminder 0.3.5

=== Makefile ===
GTK_INCLUDE = `gtk-config --cflags`
GTK_LIB = `gtk-config --libs`

IMLIB_INCLUDE = `imlib-config --cflags-gdk`
IMLIB_LIB = `imlib-config --libs-gdk`

CFLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) $(IMLIB_INCLUDE) -I/usr/pkg/include

LIBS = $(GTK_LIB) $(IMLIB_LIB)

LFLAGS = -shared -L/usr/pkg/lib

CC = gcc

all: reminder.so

reminder.so: reminder.c calendar.xpm
	$(CC) $(CFLAGS) -o reminder.so $(LFLAGS) $(LIBS) reminder.c

clean:
	rm -f *.o core *.so

install:
	if [ -d /usr/lib/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 reminder.so /usr/lib/gkrellm/plugins/ ; \
	elif [ -d /usr/share/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 reminder.so /usr/share/gkrellm/plugins/ ; \
	elif [ -d /usr/local/lib/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 reminder.so /usr/local/lib/gkrellm/plugins/ ; \
	elif [ -d /usr/local/share/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 reminder.so /usr/local/share/gkrellm/plugins/ ; \
	elif [ -d /usr/pkg/lib/gkrellm/plugins/ ] ; then \
		install -c -s -m 644 reminder.so /usr/pkg/lib/gkrellm/plugins/ ; \
	else \
		install -D -c -s -m 644 reminder.so /usr/lib/gkrellm/plugins/reminder.so ; \
	fi

uninstall:
	rm -f /usr/lib/gkrellm/plugins/reminder.so
	rm -f /usr/share/gkrellm/plugins/reminder.so
	rm -f /usr/local/lib/gkrellm/plugins/reminder.so
	rm -f /usr/pkg/lib/gkrellm/plugins/reminder.so
	rm -f /usr/local/share/gkrellm/plugins/reminder.so

## gkrellm-reminder 2.0.0

=== Makefile ===
GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`
GTK_LIB = `pkg-config gtk+-2.0 --libs`

CFLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE) -I/usr/pkg/include

LIBS = $(GTK_LIB)

LFLAGS = -shared -L/usr/pkg/lib

CC = gcc

all: reminder.so

reminder.so: reminder.c calendar.xpm
	$(CC) $(CFLAGS) -o reminder.so $(LFLAGS) $(LIBS) reminder.c

clean:
	rm -f *.o core *.so

install:
	if [ -d /usr/lib/gkrellm2/plugins/ ] ; then \
		install -c -s -m 644 reminder.so /usr/lib/gkrellm2/plugins/ ; \
	elif [ -d /usr/local/lib/gkrellm2/plugins/ ] ; then \
		install -c -s -m 644 reminder.so /usr/local/lib/gkrellm2/plugins/ ; \
	elif [ -d /usr/pkg/lib/gkrellm2/plugins/ ] ; then \
		install -c -s -m 644 reminder.so /usr/pkg/lib/gkrellm2/plugins/ ; \
	else \
		install -D -c -s -m 644 reminder.so /usr/lib/gkrellm2/plugins/reminder.so ; \
	fi

uninstall:
	rm -f /usr/lib/gkrellm/plugins2/reminder.so
	rm -f /usr/local/lib/gkrellm2/plugins/reminder.so
	rm -f /usr/pkg/lib/gkrellm/plugins2/reminder.so

=== debian/changelog ===
gkrellm-reminder (2.0.0-5) unstable; urgency=medium

  * Team upload.
  * d/p/:
    + 0006  Don't override CC
    + 0007  Fix build with GCC 15
            Closes: #1096716
    + 0008  Increase the limit on reminder antecedence from 2h to 1mo
            Closes: #436690
  * d/rules: disable dh_auto_install standardly
  * d/control: Standards-Version: 4.7.0 -> 4.7.2

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 26 Aug 2025 17:42:19 +0200

gkrellm-reminder (2.0.0-4) unstable; urgency=medium

  * Team upload.
  * Maintain in Package Salvage team
  * Provide watch file
  * Add Homepage
  * d/rules: short dh
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Force type to enable build using gcc-14
    Closes: #1075005
  * Propagate debug option to upstream Makefile
    Closes: #437032
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Wed, 20 Nov 2024 11:35:49 +0100

gkrellm-reminder (2.0.0-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007535)

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #958356)
    + Let dh_auto_build pass cross tools to make.
    + Make pkg-config substitutable.
    + Defer stripping to dh_strip.

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jun 2024 20:28:52 +0000

gkrellm-reminder (2.0.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965551)
  * debian/rules: Add build-{arch,indep}. (Closes: #999214)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 01:18:23 +0200

gkrellm-reminder (2.0.0-3) unstable; urgency=low

  [ Luk Claes ]
  * Fix typoes in description (Closes: #363606)
  * Remove me from Uploaders (Closes: #523883)

  [ Ricardo Mones ]
  * Make it lintian clean:
    - Add compat file set to 5 and bump versioned dependency
    - Remove DH_COMPAT from rules
    - Fix rules ignoring make clean error
    - Bump Standards-Version to 3.8.2 (no other changes required)
    - Add ${misc:Depends} to binary dependencies
  * Add me to uploaders

 -- Ricardo Mones <mones@debian.org>  Thu, 23 Jul 2009 01:57:45 +0200

gkrellm-reminder (2.0.0-2) unstable; urgency=high

  * Change gkrellm-common build-dep to gkrellm (Closes: #355131).
  * Fix typo in description (Closes: #221933).
  * Add me to Uploaders.

 -- Luk Claes <luk@debian.org>  Sat, 18 Mar 2006 19:23:03 +0100

gkrellm-reminder (2.0.0-1) unstable; urgency=low

  * New Maintainer (Closes: #211699)
  * Ack NMUs (Closes: #126020, #189742)
  * New Upstream Version (Closes: #184123).
  * Bug fix: "gkrellm-reminder: please drop that /usr/share/gkrellm/plugin
    symlink stuff", thanks to Gerfried Fuchs (Closes: #153431).
  * debian/control:
    - New Maintainer
    - Standards 3.6.1
    - debhelper >> 4.0.0
  * gkrellm-reminder: Dates for 11th, 12th and 13th are displayed as
    11st, 12nd and 13rd is fixed in the Package. (Closes: #203864)

 -- Joerg Jaspert <joerg@debian.org>  Sun, 16 Nov 2003 23:53:59 +0100

gkrellm-reminder (0.3.5-2.1) unstable; urgency=low

  * NMU (RC bug almost 2 months old with fix in BTS).
  * debian/control:
    + Changed build dependency from gkrellm to gkrellm-common.
    + Changed build dependency from libgtk1.2-dev to libgtk2.0-dev.
    + Set policy to 3.5.10.
    + Removed the leading "a" in the short description.
  * debian/dirs:
    + Changed the plugin directory to /usr/lib/gkrellm2/plugins.
  * debian/rules:
    + Removed the /usr/share/gkrellm/plugins directory.
  * Replaced gtk-config and imlib-config with pkg-config in the Makefile.
  * Changed <gkrellm/gkrellm.h> to <gkrellm2/gkrellm.h> in the sources to fix
    build (Closes: #189724).
  * Ported the source to the gkrellm2 API.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri,  6 Jun 2003 14:46:31 +0200

gkrellm-reminder (0.3.5-2) unstable; urgency=low

  * Cleaned up debian/rules

 -- Hereward Cooper (Hereward Matthew Lawrence Cooper) <zadok@phreaker.net>  Mon,  4 Mar 2002 20:20:10 +0000

gkrellm-reminder (0.3.5-1) unstable; urgency=low

  * New upstream release. Proper fix to daylight savings time bug

 -- Hereward Cooper (Hereward Matthew Lawrence Cooper) <zadok@phreaker.net>  Thu, 14 Feb 2002 22:03:08 +0000

gkrellm-reminder (0.3.4-1.1) unstable; urgency=low

  * NMU
  * Fix missing build-depends: gkrellm.
  * Fix rules to install correctly.  Closes: #126020

 -- LaMont Jones <lamont@debian.org>  Fri, 28 Dec 2001 18:53:24 -0700

gkrellm-reminder (0.3.4-1) unstable; urgency=low

  * Package Debianized.  closes wnpp ITP (closes: #124030)

 -- Hereward Cooper (Hereward Matthew Lawrence Cooper) <zadok@phreaker.net>  Fri, 14 Dec 2001 19:49:17 +0000

=== debian/control ===
Source: gkrellm-reminder
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Joerg Jaspert <joerg@debian.org>,
           Ricardo Mones <mones@debian.org>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libgtk2.0-dev,
               gkrellm
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/salvage-team/gkrellm-reminder
Vcs-Git: https://salsa.debian.org/salvage-team/gkrellm-reminder.git
Homepage: https://gkrellm.srcbox.net/Plugins.html
Rules-Requires-Root: no

Package: gkrellm-reminder
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gkrellm
Description: useful reminder plugin for gkrellm
 A useful reminder plugin for gkrellm that can remind you of important
 events. Events can be scheduled inside gkrellm's configuration and
 will be displayed in gkrellm-reminder's panel.
 .
  * Events can be scheduled to repeat over an interval of days.
  * Events can repeat after a certain number of days or based on the
    day of the week
  * Reminders can be set to display early to ensure you'll be on time
  * Reminders can be repeated later, if necessary
  * Runs entirely within gkrellm

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
# Upstream makefile does not provide install PREFIX - so do not install via upstream Makefile

=== debian/watch ===
version=4

https://gkrellm.srcbox.net/Plugins.html .*/Plugins/gkrellm-reminder-(\d[\d.]+)\.tar\.gz
